Bug 105682 - update from ImageAsset to ReusableImageAsset for article images missed live images which no longer had live articles pointing to them
Summary: update from ImageAsset to ReusableImageAsset for article images missed live i...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Archit Shah
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 100952
TreeView+ depends on / blocked
 
Reported: 2003-09-26 15:26 UTC by Scott Seago
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 15:42:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Seago 2003-09-26 15:26:26 UTC
Description of problem:
update from ImageAsset to ReusableImageAsset for article images missed live
images which no longer had an article pointing to it.

Version-Release number of selected component (if applicable):
5.2,6.0,rickshaw

How reproducible:
problem occurs if legacy data had live article images with no current live
articles pointing to them

Fixed for 5.2 (as upgrade script) on london branch at 36382. For 6.0+, since
cms_version_map has gone away, the proper upgrade script would be this, instead:

update acs_objects 
   set object_type='com.arsdigita.cms.ReusableImageAsset' 
 where object_id in (select i.item_id
                       from cms_items i, acs_objects o
                      where i.master_id=o.object_id
                        and o.object_type='com.arsdigita.cms.ReusableImageAsset' )
   and object_type='com.arsdigita.cms.ImageAsset';

Comment 1 Archit Shah 2003-12-17 20:53:01 UTC
added to 6.0.1 upgrade (change 38906)


Note You need to log in before you can comment on or make changes to this bug.